Subject: Re: [PATCH v2 5/7] wt-status: consistently quote paths in "status --short" output

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Sep 2020 11:38:31 -0700

Jeff King <[email-masked]> writes:

> On Thu, Sep 10, 2020 at 10:01:57AM -0700, Junio C Hamano wrote:
>
>> Tracked paths with SP in them were cquoted in "git status --short"
>> output, but untracked, ignored, and unmerged paths weren't.
>
> By the way, the long status output will quote paths as appropriate, but
> _not_ apply this "we should quote spaces" rule. I'm not sure if that
> came up in earlier discussion or not. Certainly we're free to do
> whatever looks nicest to humans there, so maybe we prefer to avoid
> quoting as much as possible.

Yup, the long output format is strictly for human consumption and
one fewer case to enclose the path in a dq-pair is good ;-).